#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
# 2018 Marius Pana <mp@spearhead.systems>

register_check_parameters(
    subgroup_os,
    "selinux",
    _("SELinux"),
    Dictionary(
        elements = [
            ( "modedisabled",
               MonitoringState(
                  title = _("State when SELinux is disabled"),
                  default_value = 2,
            )),
            ( "curmodepermissive",
               MonitoringState(
                  title = _("State when SELinux current mode is permissive"),
                  default_value = 1,
            )),
            ( "filemodepermissive",
               MonitoringState(
                  title = _("State when SELinux file mode is permissive"),
                  default_value = 2,
            )),
        ]
    ),
    None,
    match_type = "dict",
)
